libdar::crit_in_place_data_more_recent Class Reference
API

returns true if the data of the first entry is more recent or of the same date of the one of the second entry More...

`#include <criterium.hpp>`

Inherits libdar::criterium.

## Public Member Functions

| crit_in_place_data_more_recent (const infinint &hourshift=0)
| crit_in_place_data_more_recent (const crit_in_place_data_more_recent &ref)=default
| crit_in_place_data_more_recent (crit_in_place_data_more_recent &&ref) noexcept=default
crit_in_place_data_more_recent & | operator= (const crit_in_place_data_more_recent &ref)=default
crit_in_place_data_more_recent & | operator= (crit_in_place_data_more_recent &&ref) noexcept=default
virtual bool | evaluate (const cat_nomme &first, const cat_nomme &second) const override
| criterum interface method More...
virtual criterium * | clone () const override
| clone construction method More...
Public Member Functions inherited from libdar::criterium
| criterium (const criterium &ref)=default
| criterium (criterium &&ref) noexcept=default
criterium & | operator= (const criterium &ref)=default
criterium & | operator= (criterium &&ref) noexcept=default
virtual bool | evaluate (const cat_nomme &first, const cat_nomme &second) const =0
| criterum interface method More...
virtual criterium * | clone () const =0
| clone construction method More...

## Private Attributes

infinint | x_hourshift

## Detailed Description

returns true if the data of the first entry is more recent or of the same date of the one of the second entry

this class always returns false if both entry are not inode. Comparison is done on mtime

Definition at line 176 of file criterium.hpp.

## Constructor & Destructor Documentation

## crit_in_place_data_more_recent()

libdar::crit_in_place_data_more_recent::crit_in_place_data_more_recent | ( | const infinint & | hourshift = `0` | ) |

inline

Definition at line 179 of file criterium.hpp.

## Member Function Documentation

## clone()

virtual criterium * libdar::crit_in_place_data_more_recent::clone | ( |  | ) | const

inline override virtual

clone construction method

Returns
  a new object of the same type,

Note
  this method must be implemented in all the leaf classes of the class hierarchy rooted at the criterium class

Implements libdar::criterium.

Definition at line 187 of file criterium.hpp.

## evaluate()

virtual bool libdar::crit_in_place_data_more_recent::evaluate | ( | const cat_nomme & | first,
|  | const cat_nomme & | second
| ) |  | const

override virtual

criterum interface method

Parameters

  [in] | first | entry to compare with the following (this is the original or 'in place' entry)
  [in] | second | the other entry to compare with the previous one (this is the new entry to add)

Returns
  the result of the criterium evaluation (true or false)

Implements libdar::criterium.

## Member Data Documentation

## x_hourshift

infinint libdar::crit_in_place_data_more_recent::x_hourshift

private

Definition at line 190 of file criterium.hpp.

The documentation for this class was generated from the following file:

- criterium.hpp